Saxon API for .NET |

# SchemaValidator.SetSource Method (Uri)

Supply the instance document to be validated in the form of a Uri reference

public void SetSource(
Uri baseUri
);

#### Parameters

baseUri
  URI of the document to be validated

#### Remarks

The supplied node must be either a document node or an element node. If an element node is supplied, then the subtree rooted at this element is validated as if it were a complete document: that is, it must not only conform to the structure required of that element, but any referential constraints (keyref, IDREF) must be satisfied within that subtree.

#### See Also

SchemaValidator Class | Saxon.Api Namespace | SchemaValidator.SetSource Overload List